ExecutionContext (Grails 6.0.0)

Package: grails.dev.commands

## [Groovy] Class ExecutionContext

- grails.dev.commands.ExecutionContext

-     @groovy.transform.CompileStatic
      @groovy.transform.Canonical
      class ExecutionContext
      extends java.lang.Object

  A context command to pass to ApplicationCommand instances

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.io.File` | `baseDir` | The base directory for the project
    `private java.io.File` | `classesDir` | The classes directory of the project
    `private CommandLine` | `commandLine` | The command line instance
    `private java.io.File` | `targetDir` | The target directory of the project

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.io.File` | `baseDir` The base directory for the project
    `java.io.File` | `classesDir` The classes directory of the project
    `CommandLine` | `commandLine` The command line instance
    `java.io.File` | `targetDir` The target directory of the project

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExecutionContext ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final java.io.File baseDir

      The base directory for the project

    - #### private final java.io.File classesDir

      The classes directory of the project

    - #### private CommandLine commandLine

      The command line instance

    - #### private final java.io.File targetDir

      The target directory of the project

  - ### Property Detail

    - #### final java.io.File baseDir

      The base directory for the project

    - #### final java.io.File classesDir

      The classes directory of the project

    - #### CommandLine commandLine

      The command line instance

    - #### final java.io.File targetDir

      The target directory of the project

  - ### Constructor Detail

    - #### ExecutionContext()